Package opennlp.tools.lemmatizer

## Class LemmatizerFactory

- java.lang.Object
- - opennlp.tools.util.BaseToolFactory
  - - opennlp.tools.lemmatizer.LemmatizerFactory

-     public class LemmatizerFactory
      extends BaseToolFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LemmatizerFactory()` | Creates a `LemmatizerFactory` that provides the default implementation of the resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LemmatizerFactory` | `create​(String subclassName)` |
    `LemmatizerContextGenerator` | `getContextGenerator()` |
    `SequenceValidator<String>` | `getSequenceValidator()` |
    `void` | `validateArtifactMap()` | Validates the parsed artifacts.

    - ### Methods inherited from class opennlp.tools.util.BaseToolFactory

      `create, create, createArtifactMap, createArtifactSerializersMap, createManifestEntries`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LemmatizerFactory

          public LemmatizerFactory()

      Creates a `LemmatizerFactory` that provides the default implementation of the resources.

  - ### Method Detail

    - #### create

          public static LemmatizerFactory create​(String subclassName)
                                          throws InvalidFormatException

      Throws:
        `InvalidFormatException`

    - #### validateArtifactMap

          public void validateArtifactMap()
                                   throws InvalidFormatException

      Description copied from class: `BaseToolFactory`
      Validates the parsed artifacts. If something is not valid subclasses should throw an `InvalidFormatException`. Note: Subclasses should generally invoke super.validateArtifactMap at the beginning of this method.
      Specified by:
        `validateArtifactMap` in class `BaseToolFactory`
      Throws:
        `InvalidFormatException`

    - #### getSequenceValidator

          public SequenceValidator<String> getSequenceValidator()

    - #### getContextGenerator

          public LemmatizerContextGenerator getContextGenerator()